- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs
- API-Ratenlimits für Identity Server
- Abrufen von partitionGlobalId zur API-Verwendung
- Warnungen
- Lizenzieren von Produktcodes
- Rufen Sie die Organisationslizenzzusammenfassung ab
- Zuweisung von Lizenzen zu einem Benutzer
GET-Endpunkt zum Abrufen der Lizenzzusammenfassung auf Organisationsebene, die Gesamtbeträge, Zuweisungen und Nutzung für Roboter, Benutzerlizenzen und Verbrauchsmaterialien abdeckt.
Ruft die Lizenzzusammenfassung für Ihre Organisation ab, einschließlich lizenzierter und zugewiesener Roboter, lizenzierte und verwendete Benutzerlizenzen sowie lizenzierte, zugewiesene und verwendete Verbrauchsmaterialien. Erfordert eine externe Anwendung mit dem Scope PM.License.Read.
Erfahren Sie, wie Sie eine externe Anwendung erstellen.
API-Endpunkt
GET {accessURL}/{organizationName}/license_/api/account/{accountId}/license-summary
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud – Öffentlicher Sektor | https://govcloud.uipath.us/ |
| Automatisierung – cloudgeeignet | https://{customURL}.dedicated.uipath.com/ |
Anforderungsheader
--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'
Um das {access_token} zu erhalten, müssen Sie sich mit der ROPC-Methode (Resource Owner Password Credentials) authentifizieren, die auf der Seite Authentifizierungsmethoden beschrieben ist.
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
accountId (erforderlich) | GUID | Die ID der Organisation, für die die Lizenzzusammenfassung abgerufen werden soll. |
Antworten
200 OK
Gibt die Lizenzzusammenfassung für die Organisation zurück, aufgeteilt in drei Arrays:
robots– für jeden Robotertyp die lizenzierte Gesamtmenge (total) und die zugewiesene Gesamtmenge (allocated). Die verfügbaren Codes finden Sie unter Roboter .userLicenses– für jede Benutzerlizenz die lizenzierte Gesamtmenge (total) und die verwendete Gesamtmenge (used). Die verfügbaren Codes finden Sie unter Benutzerlizenzen .consumables– Für jede Verbrauchseinheit die gesamte lizenzierte Menge (total), der zugewiesene Gesamtbetrag (allocated), der verwendete Gesamtbetrag (used) und der Gültigkeitszeitraum (startDate,endDate) als Unix-Zeitstempel in Sekunden. Die verfügbaren Codes finden Sie unter Verbrauchsmaterialien .
404
Für die angegebene Organisation ist keine Kontolizenz zugewiesen.
Beispielanforderung
Die Anfrage sollte wie im folgenden Beispiel aussehen (cURL):
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/license_/api/account/1234/license-summary' \
--header 'Authorization: Bearer {access_token}'
Hier ist der Antworttext für einen erfolgreichen Abruf der Lizenzzusammenfassung:
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}
{
"robots": [
{
"code": "APPTESTR",
"total": 5,
"allocated": 2
},
{
"code": "NONPR",
"total": 0,
"allocated": 0
},
{
"code": "TAUNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT",
"total": 5,
"allocated": 2
},
{
"code": "UNATT-HOSTING",
"total": 0,
"allocated": 0
}
],
"userLicenses": [
{
"code": "PMBU",
"total": 5,
"used": 0
},
{
"code": "PMD",
"total": 10,
"used": 3
},
{
"code": "IDU",
"total": 55,
"used": 1
},
{
"code": "TSTNU",
"total": 5,
"used": 2
},
{
"code": "AXPNU",
"total": 100,
"used": 10
},
{
"code": "ACNU",
"total": 2,
"used": 0
},
{
"code": "RPADEVPROCU",
"total": 15,
"used": 0
},
{
"code": "RPADEVPRONU",
"total": 15000,
"used": 10
},
{
"code": "CBNU",
"total": 5,
"used": 0
},
{
"code": "ATTUNU",
"total": 5,
"used": 1
},
{
"code": "PRONU",
"total": 200,
"used": 12
},
{
"code": "CTZDEVNU",
"total": 5,
"used": 0
},
{
"code": "BASICNU",
"total": 10,
"used": 7
},
{
"code": "AKIT",
"total": 100,
"used": 0
},
{
"code": "PLUSNU",
"total": 2,
"used": 5
}
],
"consumables": [
{
"code": "AGU",
"total": 995658,
"allocated": 130,
"used": 1,
"startDate": 1707177600,
"endDate": 2230847999
},
{
"code": "APPU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "FCCU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "HEAL",
"total": 303330,
"allocated": 1500,
"used": 0,
"startDate": 1762128000,
"endDate": 1920844799
},
{
"code": "HEALTEST",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "LU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "MRSU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "PLTU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "RU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "SPR",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
},
{
"code": "TEU",
"total": 0,
"allocated": 0,
"used": 0,
"startDate": null,
"endDate": null
}
]
}